Deactivate a Phone Number
curl --request PATCH \
--url https://api.getnexor.ai/api/public/numbers/{id}/deactivate \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.getnexor.ai/api/public/numbers/{id}/deactivate"
headers = {"X-API-Key": "<api-key>"}
response = requests.patch(url, headers=headers)
print(response.text)const options = {method: 'PATCH', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.getnexor.ai/api/public/numbers/{id}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"number": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"client_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"phone_number": "<string>",
"label": "<string>",
"country_code": "<string>",
"scope": "<string>",
"workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider": "<string>",
"is_active": true,
"provision_status": "<string>",
"retell_imported": true,
"sms_enabled": true,
"sms_requested": true,
"sms_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"a2p_registration_status": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}{
"error": "<unknown>",
"message": "<unknown>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<unknown>",
"message": "<unknown>"
}Deactivate a Phone Number
This operation lets you deactivate a phone number for the authenticated Nexor account. This reference documents verified path, query, and top-level JSON body fields, observed response status codes, and top-level response fields. Provider-owned or deeply nested response shapes may remain open.
PATCH
/
numbers
/
{id}
/
deactivate
Deactivate a Phone Number
Authorizations
API key for authentication. Keys are prefixed with nxr_live_.
Path Parameters
Phone-number row id.
Last modified on September 8, 2026
⌘I